MN Dashboard - Feature #5516

Date formatting
2014-06-20 21:08 - Dave Vieglais

Status: New Start date: 2014-06-20
Priority: Normal Due date:

Assignee: Skye Roseboom % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Dashboard v1.1

Story Points:

Description

The great American tradition of bucking internationally accepted standards and approaches (e.g. units of measurement and dates) is
all well and good in the name of individuality and diversity, but when working with an international audience, consistency is important.
The ISO 8601 standard is quite loose in the possible representations, but in general it is preferable to represent dates in a sequence
of progressively finer resolution units, such as:

Year-Month-Day

With year as 4 digits, month as the month number (e.g. 04 = April) or abbreviated as first three characters (e.g. Apr), and Day is
written as two digits, e.g. "04" for the fourth of April.

This mirrors the commonly accepted approach for representing time of day (e.g. HH:mm:ss) and has the benefit of providing a
natural sort order when presented in lists.

The dates presented on the MN Dashboard appear to be in the format of month/day/year which many international participants will
find to be ambiguous. The suggestion here is to use the Year-Month-Day approach consistently wherever dates are presented.

History

#1 - 2014-09-30 18:03 - Skye Roseboom

- Target version set to Maintenance Backlog

#2 - 2014-09-30 18:03 - Skye Roseboom
- Parent task changed from #5514 to #6334

- Milestone set to None

#3 - 2015-02-03 18:18 - Skye Roseboom
- Parent task deleted (#6334)

#4 - 2015-02-03 18:18 - Skye Roseboom
- translation missing: en.field_release set to 1

- Tracker changed from Task to Feature

#5 - 2015-04-29 22:48 - Skye Roseboom

- Target version set to Dashboard v1.1
